import random
import math
"""1. Заменить символ “#” на символ “/” в строке
'www.my_site.com#about'"""
website = 'www.my_site.com#about'
print('Задание 1', website.replace("#", "/"))

"""2. В строке “Ivanou Ivan” поменяйте местами слова =>
"Ivan Ivanou"""
name = 'Ivanou Ivan'
name_two = name.split()
name_three = name_two[::-1]
print('Задание 2', ' '.join(name_three))

"""3. Напишите программу которая удаляет пробел в
начале строки"""
l_space = ' test'
print('Задание 3', l_space.lstrip())

"""4. Напишите программу которая удаляет пробел
в конце строки"""
r_space = 'test'
r_space = r_space.rstrip()
print('Задание 4', r_space)

""" 5. a = 10, b=23, поменять значения местами,
чтобы в переменную “a” было записано значение “23”, в “b”
- значение “10"""
a = 10
b = 23
a, b = b, a
print('Задание 5', 'a=', a, 'b=', b)

"""6. значение переменной “a” (из задания 5) увеличить в
3 раза, а значение “b” уменьшить на 3"""
a *= 3
b -= 3
print('Задание 6', 'a =', a, 'b =', b)

"""7. преобразовать значение “a” (из задания 6) из целочисленного
в число с плавающей точкой (float), а значение в
переменной “b” в строку"""
a = float(a)
b = str(b)
print('Задание 7', 'a =', a, 'b =', b)

"""8. Разделить значение в переменной “a” на 11
и вывести результат с точностью 3 знака после запятой"""
print('Задание 8', round(a / 11.0, 3))

"""9. Преобразовать значение переменной “b”
в число с плавающей точкой и записать в переменную “c”.
Возвести полученное число в 3-ю степень."""
b = c = float(b)**3
print('Задание 9', c)

"""10. Получить случайное число, кратное 3-м"""
x = random.randrange(3, 1000, 3)
print('Задание 10', x)

"""11. Получить квадратный корень из 100 и возвести в
4 степень"""
e = math.sqrt(100)**4
print('Задание 11', e)

"""12. Строку “Hi guys” вывести 3 раза и в конце
добавить “Today”
“Hi guysHi guysHi guysToday”"""
string = 'Hi guys'
new_string = string * 3 + 'Today'
print('Задание 12', new_string)

"""13. Получить длину строки из предыдущего задания"""
len(new_string)
print('Задание 13', 'Длина строки =', len(new_string))

"""14. Взять предыдущую строку и вывести слово
“Today” в прямом и обратном порядке"""
str_one = new_string.find('Today')
str_two = len(new_string)
k = new_string[str_one:str_two]
print('Задание 14', 'в прямом -', k, 'в обратном -', k[::-1])

"""15. “Hi guysHi guysHi guysToday” вывести каждую 2-ю букву
в прямом и обратном порядке"""
string = 'Hi guysHi guysHi guysToday'
print('Задание 15', 'В прямом порядке -', string[1::2])
print('В обратном порядке -', string[::-2])

"""16. Используя форматирования подставить результаты из
задания 10 и 11 в следующую строку
“Task 10: <в прямом>, <в обратном> Task 11: <в прямом>, <в обратном>”"""
y = str(x)
e = str(e)
h = f'Task 10: в {y} и {y[::-1]}, Task 11: в {e} и {e[::-1]}'
print('Задание 16:', h)

"""17. Есть строка: “my name is name”. Напечатайте ее,
но вместо 2ого “name” вставьте ваше имя."""
a = "Sergey"
print('Задание 17', "my name is {name}".format(name=a))

"""18. Полученную строку в задании 12 вывести:
а) Каждое слово с большой буквы
б) все слова в нижнем регистре
в) все слова в верхнем регистре"""
print('Задание 18', 'a =', new_string.title(), '\n',
      'б =', new_string.lower(), '\n',
      'в =', new_string.upper())

"""19. Посчитать сколько раз слово “Task”
встречается в строке из задания 12"""
print('Задание 19', new_string.count('Task'))
